# classes/phing/system/io/StringReader.php

Dummy class for reading from string of characters.

package
  phing.system.io

## \StringReader
jump to top

Dummy class for reading from string of characters.

Extends from
  \Reader
author
  Hans Lellelid
author
  Yannick Lecaillez
package
  phing.system.io
version
  $Revision: 552 $

### Properties

`string $_string= ''`

Details

Type
  string

`int $currPos= '0'`

Default value `0` Details

Type
  int

`int $mark= '0'`

Default value `0` Details

Type
  int

### Methods

`__construct( $string ) :`
Parameters

Name | Type | Description
--- | --- | ---
$string |  |

`close( ) :`
`getResource( ) :`
`mark( ) :`
`markSupported( ) :`
`open( ) :`
`read( $len = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$len |  |

`ready( ) :`
`reset( ) :`
`skip( $n ) :`
Parameters

Name | Type | Description
--- | --- | ---
$n |  |

Documentation was generated by DocBlox 0.13.1.